1. Android Central Question's Avatar
    I have had my samsung galaxy Tab E for under a year now, and have always had the tribez game on it with no problems. Now Google play is saying that its not compatible with your version, so I can not update my game. It's still installed but get error if I try to contact their support group. Why has this happened......can anyone help me? I am running version 4.4.4.
    10-11-2018 05:51 AM
  2. B. Diddy's Avatar
    Welcome to Android Central! Is it this game? https://play.google.com/store/apps/d...ribez&hl=en_US. If so, it says it requires Android 5.0 (Lollipop) or higher. Perhaps that requirement is new -- more and more developers are dropping support for Kitkat or lower, since it's pretty outdated.

    Did you also try emailing their support team? support_tribez@game-insight.com
    10-11-2018 08:43 PM

Similar Threads

  1. Replies: 23
    Last Post: 11-04-2018, 01:15 PM
  2. I really want a regular 3, but...
    By Leslie Hatcher in forum Google Pixel 3 & Pixel 3 XL
    Replies: 20
    Last Post: 10-17-2018, 09:22 PM
  3. Need to enable background data but don't have mobile data only wifi
    By Android Central Question in forum Ask a Question
    Replies: 1
    Last Post: 10-11-2018, 09:29 PM
  4. Replies: 2
    Last Post: 10-10-2018, 05:51 PM
  5. Replies: 1
    Last Post: 10-10-2018, 05:06 PM
LINK TO POST COPIED TO CLIPBOARD